image: roxsross12/node-chrome

cache:
  paths:
    - node_modules/
before_script:
  - npm install

stages:
  - deploy

pages:
  stage: deploy
  script:
    - npm install -g @angular/cli@12.2.9
    - npm run buildProd
  artifacts:
    paths:
      - public
  only:
    - master
    - pages     